Bug 731455 (django-authopenid) - Review Request: django-authopenid - Django application to integrate Django authentication system with OpenID
Summary: Review Request: django-authopenid - Django application to integrate Django au...
Keywords:
Status: CLOSED ERRATA
Alias: django-authopenid
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 17:45 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-09-30 19:27 UTC (History)
3 users (show)

Fixed In Version: django-authopenid-1.0.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 23:17:24 UTC
metherid: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-08-17 17:45:23 UTC
Spec URL: http://ankursinha.fedorapeople.org/django-authopenid/django-authopenid.spec
SRPM URL: http://ankursinha.fedorapeople.org/django-authopenid/django-authopenid-1.0-1.20110817hg.fc15.src.rpm
Description: 
A Django application that allows you to authenticate your users 
while using django auth contrib.

This application allows a user to connect to you website with :

-    legacy account : username/password
-    openid url 

The idea is to have a workflow integrating openid and legacy authentification.

If the user connects with an openid he could associate it with its legaccy
account or just create a new django account. When the user is connected you
could manage him like you usually do with `auth contrib or django-registration
which is the default.

This application also provide views to:
 * change password
 * change account email
 * change associated openid
 * delete account
 * send a new password 

Source produced By Benoît Chesneau for Enki Multimedia for the Friendsnippets
project.


=============================================================================

Only spelling errors in rpmlint :)

Comment 1 Rahul Sundaram 2011-08-17 18:10:01 UTC
Use the description and tarball from http://pypi.python.org/pypi/django-authopenid/ instead of generating it yourself.  Snapshots can change API and break existing software that depends on it.  Unless upstream does a new stable release, we shouldn't be typically using it.

Comment 3 Rahul Sundaram 2011-08-17 18:49:29 UTC

==  APPROVED ==

Comment 4 Rahul Sundaram 2011-08-17 18:52:03 UTC
Note that you can remove the first line that defines python_sitelib as that is redundant now. You should also use name and version macros more instead of hardcoding those but these are not blockers.

Comment 5 Ankur Sinha (FranciscoD) 2011-08-18 02:29:15 UTC
I left the first line since it's also an epel package which needs it (i think).

I haven't used the name macro because the package name is django-authopenid, while the folder locations are django_authopenid (underscore instead of hyphen). I'll update the URL and Source0 before pushing to scm.

Thanks :)
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2011-08-18 02:32:30 UTC
It's already an epel package. Un-retiring it for fedora.

New Package SCM Request
=======================
Package Name: django-authopenid
Short Description: Django application to integrate Django authentication system with OpenID
Owners: ankursinha sundaram
Branches: f14 f15 f16
InitialCC:

Comment 7 Gwyn Ciesla 2011-08-18 02:46:59 UTC
Unretired rawhide and f14, please take ownership and submit a Package Change
Request to create f15 and f16.

Comment 8 Ankur Sinha (FranciscoD) 2011-08-18 16:33:59 UTC
Package Change Request
======================
Package Name: django-authopenid
New Branches: f15 f16
Owners: ankursinha sundaram
InitialCC: 

Creating branches for f15 f16.

Comment 9 Gwyn Ciesla 2011-08-18 17:08:12 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-08-25 18:27:50 UTC
django-authopenid-1.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-authopenid-1.0.1-2.fc15

Comment 11 Fedora Update System 2011-08-25 18:27:58 UTC
django-authopenid-1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/django-authopenid-1.0.1-2.fc14

Comment 12 Fedora Update System 2011-08-25 18:28:05 UTC
django-authopenid-1.0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/django-authopenid-1.0.1-2.fc16

Comment 13 Fedora Update System 2011-08-26 14:18:18 UTC
django-authopenid-1.0.1-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2011-09-25 23:17:19 UTC
django-authopenid-1.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-09-25 23:17:39 UTC
django-authopenid-1.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-09-30 19:27:20 UTC
django-authopenid-1.0.1-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.